package emps;

import java.util.Comparator;
import java.util.List;
import java.util.Optional;

public class F5_MinMax_Obiekty {
    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytaj();

        Optional<Employee> min = emps.stream().min(Comparator.comparingInt(Employee::getSalary));
        if(min.isPresent()) {
            Employee emp = min.get();
            System.out.println("Najmniej czyli " + emp.getSalary() + " zarabia " + emp.getFirstName() + " " + emp.getLastName());
        }

        Optional<Employee> max = emps.stream().max(Comparator.comparingInt(Employee::getSalary));
        if(max.isPresent()) {
            Employee emp = max.get();
            System.out.println("Najwięcej czyli " + emp.getSalary() + " zarabia " + emp.getFirstName() + " " + emp.getLastName());
        }
        // Inne podejścia do korzystania z Optionali będą w przykładach "sprzedaz"
    }
}
